Skip to main content
POST
/
networks
/
applicationstable
List Offer Applications
curl --request POST \
  --url https://api.eflow.team/v1/networks/applicationstable \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "search_terms": [
    {
      "search_type": "name",
      "value": ""
    }
  ],
  "filters": {
    "application_status": "pending"
  }
}
'
{
  "applications": [
    {
      "network_application_id": 123,
      "network_id": 123,
      "network_affiliate_id": 123,
      "network_employee_id": 123,
      "network_offer_id": 123,
      "network_affiliate_user_id": 123,
      "application_status": "approved",
      "time_created": 123,
      "time_saved": 123,
      "relationship": {
        "affiliate": {
          "network_affiliate_id": 123,
          "network_id": 123,
          "name": "<string>",
          "account_status": "<string>"
        },
        "offer": {
          "network_offer_id": 123,
          "network_id": 123,
          "name": "<string>",
          "offer_status": "<string>"
        },
        "advertiser": {
          "network_advertiser_id": 123,
          "network_id": 123,
          "name": "<string>",
          "account_status": "<string>"
        },
        "employee": {
          "network_employee_id": 123,
          "network_id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "full_name": "<string>",
          "account_status": "<string>"
        }
      }
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

Required range: x <= 2000

Body

application/json
search_terms
object[]

Text search filters. Searches both offer ID and offer name.

filters
object

Structured filters to narrow results.

Response

200 - application/json

OK

applications
object[]
paging
object